-- Dampening Display
local dampeningText = GetSpellInfo(110310)

local dampeningFrame = CreateFrame("Frame", nil, UIParent)
dampeningFrame:SetSize(200, 12)
dampeningFrame:SetPoint("TOP", UIWidgetTopCenterContainerFrame, "BOTTOM", 0, -2)
dampeningFrame.text = dampeningFrame:CreateFontString(nil, "BACKGROUND")
dampeningFrame.text:SetFontObject(GameFontNormalSmall)
dampeningFrame.text:SetAllPoints()

local function DampeningDisplay_Update()
dampeningFrame.text:SetText(dampeningText .. ": " .. C_Commentator.GetDampeningPercent() .. "%")
end

local dampeningTicker

dampeningFrame:SetScript(
 "OnEvent",
 function(self)
    if dampeningTicker then
        dampeningTicker:Cancel()
    end

    if select(2, IsInInstance()) == "arena" then
        dampeningFrame:Show()
        dampeningTicker = C_Timer.NewTicker(5, DampeningDisplay_Update)
  else
		dampeningFrame:Hide()
	end
end)

dampeningFrame:RegisterEvent("PLAYER_ENTERING_WORLD")

-- Combat Indicator
local targetFrame = CreateFrame("Frame", nil , TargetFrame)
targetFrame:SetPoint("LEFT", TargetFrame, "RIGHT", -25, 10)
targetFrame:SetSize(26,26)
targetFrame.icon = targetFrame:CreateTexture(nil, "BORDER")
targetFrame.icon:SetAllPoints()
targetFrame.icon:SetTexture([[Interface\Icons\ABILITY_DUALWIELD]])
targetFrame:Hide()

local focusFrame = CreateFrame("Frame", nil , FocusFrame)
focusFrame:SetPoint("LEFT", FocusFrame, "RIGHT", -25, 10)
focusFrame:SetSize(26,26)
focusFrame.icon = focusFrame:CreateTexture(nil, "BORDER")
focusFrame.icon:SetAllPoints()
focusFrame.icon:SetTexture([[Interface\Icons\ABILITY_DUALWIELD]])
focusFrame:Hide()

local UnitAffectingCombat = UnitAffectingCombat

local function CombatIndicator_Update()
targetFrame:SetShown(UnitAffectingCombat("target"))
focusFrame:SetShown(UnitAffectingCombat("focus"))
end

C_Timer.NewTicker(0.1, CombatIndicator_Update)

-- Hide PvP/Prestige Icons
PlayerPVPIcon:SetAlpha(0)
PlayerPrestigeBadge:SetAlpha(0)
PlayerPrestigePortrait:SetAlpha(0)
TargetFrameTextureFramePVPIcon:SetAlpha(0)
TargetFrameTextureFramePrestigeBadge:SetAlpha(0)
TargetFrameTextureFramePrestigePortrait:SetAlpha(0)
FocusFrameTextureFramePVPIcon:SetAlpha(0)
FocusFrameTextureFramePrestigeBadge:SetAlpha(0)
FocusFrameTextureFramePrestigePortrait:SetAlpha(0)

-- Hide minimap buttons
MinimapZoomIn:Hide()
MinimapZoomOut:Hide()

-- Right click minimap to open calendar & middle click to open tracking menu
Minimap:SetScript("OnMouseUp", function(self, btn)
if btn == "RightButton" then
  _G.GameTimeFrame:Click()
elseif btn == "MiddleButton" then
  _G.ToggleDropDownMenu(1, nil, _G.MiniMapTrackingDropDown, self)
else
  _G.Minimap_OnClick(self)
end
end)