-- 123 Nameplates in Arena
local U = UnitIsUnit
hooksecurefunc(
    "CompactUnitFrame_UpdateName",
    function(F)
        if IsActiveBattlefieldArena() and F.unit:find("nameplate") then
            for i = 1, 5 do
                if U(F.unit, "arena" .. i) then
                    F.name:SetText(i)
                    F.name:SetTextColor(1, 1, 0)
                    break
                end
            end
        end
    end
)

-- Changes /afk into /surrender so you still get honor
local function vPrint(msg)
    print("|cFFDC143CvurseSurrender:|r |cFF40E0D0" .. msg .. "|r")
end

SlashCmdList["CHAT_AFK"] = function(msg)
    if IsActiveBattlefieldArena() then
        if CanSurrenderArena() then
            vPrint("Successfully surrendered arena.")
            SurrenderArena()
        else
            vPrint("Failed to surrender arena. Partners still alive.")
        end
    else
        SendChatMessage(msg, "AFK")
    end
end

-- Align Grid (/align in game)
SLASH_EA1 = "/align"

local f

SlashCmdList["EA"] = function()
    if f then
        f:Hide()
        f = nil
    else
        f = CreateFrame("Frame", nil, UIParent)
        f:SetAllPoints(UIParent)
        local w = GetScreenWidth() / 64
        local h = GetScreenHeight() / 36
        for i = 0, 64 do
            local t = f:CreateTexture(nil, "BACKGROUND")
            if i == 32 then
                t:SetColorTexture(1, 1, 0, 0.5)
            else
                t:SetColorTexture(1, 1, 1, 0.15)
            end
            t:SetPoint("TOPLEFT", f, "TOPLEFT", i * w - 1, 0)
            t:SetPoint("BOTTOMRIGHT", f, "BOTTOMLEFT", i * w + 1, 0)
        end
        for i = 0, 36 do
            local t = f:CreateTexture(nil, "BACKGROUND")
            if i == 18 then
                t:SetColorTexture(1, 1, 0, 0.5)
            else
                t:SetColorTexture(1, 1, 1, 0.15)
            end
            t:SetPoint("TOPLEFT", f, "TOPLEFT", 0, -i * h + 1)
            t:SetPoint("BOTTOMRIGHT", f, "TOPRIGHT", 0, -i * h - 1)
        end
    end
end

-- Removes DELETE confirmation
local folder, ns = ...
local addon = CreateFrame("Frame", "EasyDeleteConfirmFrame")

function addon:DELETE_ITEM_CONFIRM(...)
    if StaticPopup1EditBox:IsShown() then
        StaticPopup1EditBox:Hide()
        StaticPopup1Button1:Enable()

        local link = select(3, GetCursorInfo())

        addon.link:SetText(link)
        addon.link:Show()
    end
end

function addon:ADDON_LOADED(loaded_addon)
    if loaded_addon ~= folder then
        return
    end

    -- Create item link container
    addon.link = StaticPopup1:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
    addon.link:SetPoint("CENTER", StaticPopup1EditBox)
    addon.link:Hide()

    StaticPopup1:HookScript(
        "OnHide",
        function(self)
            addon.link:Hide()
        end
    )
end

addon:SetScript(
    "OnEvent",
    function(self, event, ...)
        self[event](self, ...)
    end
)

addon:RegisterEvent("ADDON_LOADED")
addon:RegisterEvent("DELETE_ITEM_CONFIRM")

local function OnEvent(self, event)

-- Auto Sell Grey Items
    totalPrice = 0
    for myBags = 0, 4 do
        for bagSlots = 1, GetContainerNumSlots(myBags) do
            CurrentItemLink = GetContainerItemLink(myBags, bagSlots)
            if CurrentItemLink then
                _, _, itemRarity, _, _, _, _, _, _, _, itemSellPrice = GetItemInfo(CurrentItemLink)
                _, itemCount = GetContainerItemInfo(myBags, bagSlots)
                if itemRarity == 0 and itemSellPrice ~= 0 then
                    totalPrice = totalPrice + (itemSellPrice * itemCount)
                    UseContainerItem(myBags, bagSlots)
                    PickupMerchantItem()
                end
            end
        end
    end

-- Auto Repair
    if (CanMerchantRepair()) then
        repairAllCost, canRepair = GetRepairAllCost()
        -- If merchant can repair and there is something to repair
        if (canRepair and repairAllCost > 0) then
            -- Use Guild Bank
            guildRepairedItems = false
            if (IsInGuild() and CanGuildBankRepair()) then
                -- Checks if guild has enough money
                local amount = GetGuildBankWithdrawMoney()
                local guildBankMoney = GetGuildBankMoney()
                amount = amount == -1 and guildBankMoney or min(amount, guildBankMoney)

                if (amount >= repairAllCost) then
                    RepairAllItems(true)
                    guildRepairedItems = true
                end
            end

-- Use own funds
            if (repairAllCost <= GetMoney() and not guildRepairedItems) then
                RepairAllItems(false)
            end
        end
    end
end

local f = CreateFrame("Frame")
f:SetScript("OnEvent", OnEvent)
f:RegisterEvent("MERCHANT_SHOW")

-- Hide Bags & Fade on Mouseover Micro Buttons
local CF=CreateFrame("Frame")
CF:RegisterEvent("PLAYER_LOGIN")
CF:SetScript("OnEvent", function(self, event)

MicroButtonAndBagsBar:Hide()

local ignore

local function setAlpha(b, a)
	if ignore then return end
	ignore = true
	if b:IsMouseOver() then
		b:SetAlpha(1)
	else
		b:SetAlpha(0)
	end
	ignore = nil
end

local function showFoo(self)
    for _, v in ipairs(MICRO_BUTTONS) do
        ignore = true
        _G[v]:SetAlpha(1)
        ignore = nil
    end
end

local function hideFoo(self)
    for _, v in ipairs(MICRO_BUTTONS) do
        ignore = true
        _G[v]:SetAlpha(0)
        ignore = nil
    end
end

for _, v in ipairs(MICRO_BUTTONS) do
    v = _G[v]
    hooksecurefunc(v, "SetAlpha", setAlpha)
    v:HookScript("OnEnter", showFoo)
    v:HookScript("OnLeave", hideFoo)
    v:SetAlpha(0)
end
end)